//package org.aohe.scanservice.web;
//
//import cn.hutool.system.SystemUtil;
//import jakarta.websocket.*;
//import jakarta.websocket.server.ServerEndpoint;
//import lombok.extern.slf4j.Slf4j;
//import org.aohe.scanservice.control.TwainOperational;
//import org.aohe.scanservice.result.R;
//import org.springframework.stereotype.Component;
//
//@Slf4j
//@ServerEndpoint("/scanSocket")// 接口路径 ws://localhost:8087/webSocket/userId;
//@Component
//public class ScanSocket {
//
//
//    /**
//     * 链接成功调用的方法
//     */
//    @OnOpen
//    public void onOpen() {
//        log.info("客户端已接入，当前客户端系统为：{}", SystemUtil.getOsInfo().getName());
//    }
//
//    /**
//     * 链接关闭调用的方法
//     */
//    @OnClose
//    public void onClose() {
//        log.info("客户端已断开，客户端系统为：{}", SystemUtil.getOsInfo().getName());
//    }
//    /**
//     * 收到客户端消息后调用的方法
//     *
//     * @param message
//     */
//    @OnMessage
//    public String onMessage(String message) {
//        log.info("【websocket 消息】收到客户端消息:"+message);
//        String result ;
//        if (SystemUtil.getOsInfo().isWindows()) {
//            result = TwainOperational.selectOperational(message);
//        } else if(SystemUtil.getOsInfo().isLinux()) {
//            result = R.ok("还在更新，稍等...").toJsonStr();
//        }else {
//            result = R.fail("无对应操作系统").toJsonStr();
//        }
//        return result;
//    }
//
//    /** 发送错误时的处理
//     * @param session
//     * @param error
//     */
//    @OnError
//    public void onError(Session session, Throwable error) {
//        log.error("用户错误,原因:"+error.getMessage());
//    }
//
//
//    // 此为广播消息
//    public void sendAllMessage(String message) {
//        log.info("【websocket 消息】广播消息:"+message);
//    }
//
//    // 此为单点消息
//    public void sendOneMessage(String userId, String message) {
//    }
//
//    // 此为单点消息(多人)
//    public void sendMoreMessage(String[] userIds, String message) {
//    }
//
//}
