package org.aohe.scanservice.utils;

import cn.hutool.setting.Setting;
import lombok.Data;


@Data
public class RemoteConfig {
    
    private String ip = "127.0.0.1";
    
    RemoteConfig() {
    }
    
    RemoteConfig(String ip) {
        this.ip = ip;
    }
    
    public static RemoteConfig getInstance(){
        String ip = new Setting("config.setting").get("ip");
        if(ip != null){
            return new RemoteConfig(ip);
        }
        return new RemoteConfig();
    }
    
}
